%define upstream_name    DBD-XBase
%define upstream_version 0.241

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module for dealing with XBase files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.fi.muni.cz/~adelton/perl/
Source0:    %upstream_name-%upstream_version.tar.bz2

# for testsuite:
#Buildrequires:	perl-DBI
BuildArch:		noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
Package DBD::XBase contains module XBase that can read and write dbf and
dbt/fpt files, as well as a DBI driver DBD::XBase, that allows work with these
files using SQL commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %buildroot
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{perl_vendorlib}/XBase.pm
%dir %{perl_vendorlib}/DBD
%{perl_vendorlib}/DBD/*
%dir %{perl_vendorlib}/XBase
%{perl_vendorlib}/XBase/*
%{_mandir}/*/*


%changelog
* Tue Feb 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.241.0-1mdv2010.1
+ Revision: 502716
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - BR perl-DBI for the testsuite
    - rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.241-5mdv2009.0
+ Revision: 241203
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.241-3mdv2008.0
+ Revision: 86341
- rebuild


* Tue Jun 21 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.241-2mdk
- rebuild
- use mkrel

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.241-1mdk
- New release 0.241

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.240-1mdk
- 0.240.

* Tue Jun 03 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.232-1mdk
- initial import into Mandrake. This module required perl-Cstools.

